From 67267ca12c03b241d5539ddf20078c2b8f14765d Mon Sep 17 00:00:00 2001
From: Markus Koschany <apo@gambaru.de>
Date: Wed, 25 Feb 2015 01:45:35 +0100
Subject: [PATCH] Improve task file documentation.

Closes: #764591
---
 doc/en/A_devel.xml | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

diff --git a/doc/en/A_devel.xml b/doc/en/A_devel.xml
index 0fdad0e..62b1f5c 100644
--- a/doc/en/A_devel.xml
+++ b/doc/en/A_devel.xml
@@ -137,7 +137,9 @@ The syntax of the <filename>tasks</filename> files which serve as the central
 database for the information in the <filename>debian/control</filename> file
 is defined by RFC822.  Some of the tags were mentioned formerly in
 <xref linkend="packageslist"/> to explain how the <filename>tasks</filename> files
-can be used to create the web sentinel pages.  Now the tags that
+can be used to create the web sentinel pages. In order to write valid task
+files it is mandatory to separate a task file paragraph by an empty line.
+Otherwise the task pages of the web sentinel will not be built correctly. Now the tags that
 influence the creation of the <filename>debian/control</filename> file are given.
 </para>
 <para>
@@ -228,6 +230,22 @@ influence the creation of the <filename>debian/control</filename> file are given
 </para>
 </sect2>
 
+<para>
+Example:
+<informalexample>
+ <programlisting>
+Task: finest
+Description: the finest software
+
+Depends: foo
+
+Depends: bar
+
+Suggests: foobar
+ </programlisting>
+</informalexample>
+</para>
+
 <sect2 id="statusdump">
   <title><package>statusdump</package></title>
 
-- 
2.1.4

